Subject: Re: Support for S29JL064 in MPC8272ADS?

From: Scott Wood <[email-masked]>
Date: Fri, 9 Oct 2009 13:16:17 -0500

On Fri, Oct 09, 2009 at 01:59:58PM -0400, Roberto Guerra wrote:
> No. I did not. My FDT was simplified from the stock MPC8272ADS:
> => fdt list
> / {
>         model = "pq2fads";
>         compatible = "fsl,pq2fads";
>         #address-cells = <0x00000001>;
>         #size-cells = <0x00000001>;
>         cpus {
>         };
>         memory {
>         };
>         soc@f0000000 {
>         };
>         chosen {
>         };
> };

You need more than that.  What happened to all the content of those nodes?

> I am searching how I could add the mtd branch between the "soc" and
> the "chosen".

Look at the localbus node on the mpc8272ads dts.

Look at (and use) a recent upstream kernel, if you're not already.

-Scott